declare type CashDrawerEventListener = (action: string, requestId: number) => void;
declare type PrinterStatusEventListener = (action: string) => void;
declare type PrintingEventListener = (action: string) => void;
declare enum PrintType {
    TEXT = 0,
    IMAGE = 1,
    BARCODE = 2,
    QRCODE = 3
}
export default class SuperApp {
    static initial(key: string): void;
    static getInfo(): {
        versionCode: number;
        versionName: string;
        buildServer: string;
    };
    static Terminal: {
        new (): {};
        getInfo(): {
            terminalId: string;
            os: string;
            osVersion: string;
            screenCount: number;
            screenSize: {
                width: number;
                height: number;
            }[];
        };
    };
    static Store: {
        new (): {};
        getInfo(): {
            storeId: string;
            storeName: string;
        };
    };
    static User: {
        new (): {};
        getInfo(): {
            userId: string;
            userName: string;
        };
    };
    static Device: {
        new (): {};
        CashDrawer: {
            new (): {};
            listener: CashDrawerEventListener;
            open(requestId: number): Boolean;
            close(requestId: number): Boolean;
            getStatus(): string;
            setCashDrawerEventListener(listener: CashDrawerEventListener): void;
        };
        Printer: {
            new (): {};
            statusListener: PrinterStatusEventListener;
            tempPrintingListener: PrintingEventListener;
            print(data: string, type: PrintType, printingListener: PrintingEventListener): void;
            getStatus(): string;
            feed(): void;
            cut(): void;
            setPrinterStatusListener(statusListener: PrinterStatusEventListener): void;
        };
    };
}
export {};
